classification
Title: shutil.copyfile documentation
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, steve21
Priority: normal Keywords:

Created on 2008-12-01 04:38 by steve21, last changed 2008-12-05 15:34 by georg.brandl. This issue is now closed.

Messages (2)
msg76673 - (view) Author: Steve (steve21) Date: 2008-12-01 04:38
$ python3.0
Python 3.0rc3 (r30rc3:67312, Nov 22 2008, 21:38:46)
>>> import shutil
>>> shutil.copyfile('/tmp/f', '/tmp/f')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/a/lib/python3.0/shutil.py", line 47, in copyfile
    raise Error("`%s` and `%s` are the same file" % (src, dst))
shutil.Error: `/tmp/f` and `/tmp/f` are the same file

The Python 3 docs at
http://docs.python.org/dev/3.0/library/shutil.html#module-shutil
mention that copyfile can raise IOError, but they omit to mention that
copyfile can also raise shutil.Error.

Also, just out of interest, I notice that Sphinx now supports the
':raises:' field. Are there any plans for the Python documentation to
start using it?
msg77032 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-12-05 15:34
Fixed in r67580.

If we want to start using things like :raises:, it will have to be in
some coordinated fashion so that it doesn't occur in isolated places.
History
Date User Action Args
2008-12-05 15:34:01georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg77032
2008-12-01 04:38:37steve21create